"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _axios = _interopRequireDefault(require("axios"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

var GEO_API_URL = 'https://freegeoip.app/json/';
var PPP_API_URL = 'https://api.purchasing-power-parity.com/?target=';

var mapGeo = function mapGeo(response) {
  return {
    countryCodeIsoAlpha2: response.data.country_code
  };
};

var fetchGeo = function fetchGeo() {
  return _axios["default"].get(GEO_API_URL).then(mapGeo);
};

var mapPPP = function mapPPP(response) {
  return response.data;
};

var fetchPPP = function fetchPPP(geo) {
  return _axios["default"].get("".concat(PPP_API_URL).concat(geo.countryCodeIsoAlpha2)).then(mapPPP);
};

var _default = function _default() {
  return fetchGeo().then(fetchPPP);
};

exports["default"] = _default;